com.ihr.xbrl.om.xdt

## Class XDTValidCombinationSet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<XDTCombinationItemHead>
      - - com.ihr.xbrl.om.xdt.XDTValidCombinationSet

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<XDTCombinationItemHead>, java.util.Collection<XDTCombinationItemHead>, java.util.List<XDTCombinationItemHead>, java.util.RandomAccess
  Direct Known Subclasses:
    XDTValidCombinationScenario, XDTValidCombinationSegment

      public class XDTValidCombinationSet
      extends java.util.Vector<XDTCombinationItemHead>

  A valid combination is a set of dimensions and values for each combination.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XDTValidCombinationSet` | `CLOSED` This is a static representation of an EMPTY CLOSED hypercube.
    `static int` | `MAXIMUM_COMBINATIONS` This is the maximum number of combinations allowed.
    `static int` | `NEGATIVE` Constant that indicates a combination that result in a dimensionaly invalid fact.
    `static XDTValidCombinationSet` | `OPEN` This is a static representation of an EMPTY OPEN hypercube.
    `static int` | `POSITIVE` Constant that indicates a combination that result in a dimensionaly valid fact.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `all(XDTValidCombinationSet other)` Operates the sign of two combinations using the "all" operator.
    `boolean` | `equals(java.lang.Object other)`
    `long` | `getCombinations()` Gets the combinations.
    `int` | `getSign()` Returns either POSITIVE or NEGATIVE depending on the sign of this combination.
    `int` | `hashCode()` this is a static singleton instance of the OVERSIZED combination.
    `boolean` | `includedIn(XDTValidCombinationSet o)` Returns true if this combination is under the scope of the "o" combination That is "this" is most restrictive than "o".
    `boolean` | `isClosed()` Returns true if this is a closed combination.
    `boolean` | `isOpen()` Returns true if this is an open combination.
    `boolean` | `isOversized()` Returns true if this combination contains no valid combinations because it is oversized.
    `void` | `setClosed(boolean newValue)` Sets the value of the closed attribute on this combination.
    `void` | `setOversized(long combinations)` Used to indicate this combination exceeds maximum combinations allowed.
    `void` | `setSign(int newValue)` Sets the sign of this combination.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, firstElement, get, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### POSITIVE

          public static final int POSITIVE

      Constant that indicates a combination that result in a dimensionaly valid fact.
      See Also:
        Constant Field Values

    - #### NEGATIVE

          public static final int NEGATIVE

      Constant that indicates a combination that result in a dimensionaly invalid fact.
      See Also:
        Constant Field Values

    - #### MAXIMUM_COMBINATIONS

          public static int MAXIMUM_COMBINATIONS

      This is the maximum number of combinations allowed.

    - #### OPEN

          public static XDTValidCombinationSet OPEN

      This is a static representation of an EMPTY OPEN hypercube.

    - #### CLOSED

          public static XDTValidCombinationSet CLOSED

      This is a static representation of an EMPTY CLOSED hypercube.

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      this is a static singleton instance of the OVERSIZED combination.
      Specified by:
        `hashCode` in interface `java.util.Collection<XDTCombinationItemHead>`
      Specified by:
        `hashCode` in interface `java.util.List<XDTCombinationItemHead>`
      Overrides:
        `hashCode` in class `java.util.Vector<XDTCombinationItemHead>`
      Returns:
        the int

    - #### isClosed

          public boolean isClosed()

      Returns true if this is a closed combination.
      Returns:
        boolean

    - #### isOversized

          public boolean isOversized()

      Returns true if this combination contains no valid combinations because it is oversized.
      Returns:
        true, if is oversized

    - #### isOpen

          public boolean isOpen()

      Returns true if this is an open combination.
      Returns:
        true, if is open

    - #### getSign

          public int getSign()

      Returns either POSITIVE or NEGATIVE depending on the sign of this combination.
      Returns:
        int constant defined in this class

    - #### setClosed

          public void setClosed(boolean newValue)

      Sets the value of the closed attribute on this combination.
      Parameters:
        `newValue` - the new closed

    - #### setOversized

          public void setOversized(long combinations)

      Used to indicate this combination exceeds maximum combinations allowed.
      Parameters:
        `combinations` - the total number of combinations

    - #### getCombinations

          public long getCombinations()

      Gets the combinations.
      Returns:
        the combinations

    - #### setSign

          public void setSign(int newValue)

      Sets the sign of this combination.
      Parameters:
        `newValue` - the new sign

    - #### all

          public boolean all(XDTValidCombinationSet other)

      Operates the sign of two combinations using the "all" operator. Returns true if this has not been restricted by other.
      Parameters:
        `other` - the other
      Returns:
        boolean

    - #### includedIn

          public boolean includedIn(XDTValidCombinationSet o)

      Returns true if this combination is under the scope of the "o" combination That is "this" is most restrictive than "o".
      Parameters:
        `o` - the o
      Returns:
        boolean

    - #### equals

          public boolean equals(java.lang.Object other)

      Specified by:
        `equals` in interface `java.util.Collection<XDTCombinationItemHead>`
      Specified by:
        `equals` in interface `java.util.List<XDTCombinationItemHead>`
      Overrides:
        `equals` in class `java.util.Vector<XDTCombinationItemHead>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.util.Vector<XDTCombinationItemHead>`